/** ***************** CSS MAISON ***************** **/
h2 {
	color: #1A1A56;
	font-size: 25px;
    font-weight: bold;
}

h3 {
	font-size: 20px;
}


a:hover {
	cursor: pointer
}

.main-container {
	padding-left: 		0px;
	padding-right: 		0px;
}

.content-container {
	padding: 15px;
	background-color: white;
}

.spaced-row {
	margin-bottom: 15px;
	
}

.ffgym-icon {
	background-color: 	#1B1B57;
}

.ffgym-icon img {
	height: 70px;
	float: 	right;
}

#nav-menu {
	padding: 			14px;
	background-color: 	#1B1B57;
	border-bottom: 		1px solid #1B1B57;
}

#nav-menu li {
	background-color: 	#1B1B57;
}

#nav-menu a:hover, 
#nav-menu a:focus {
	background-color: 	#3C3E6F;
	border: 			1px solid #3C3E6F;
}

#nav-menu a {
	color: white;
}

#stacked-nav-bar {
    top: 41px;
    left: 31px;
    color: #8A8AAE;
}

ul.nav.nav-tabs.nav-stacked {
	border: #D3D3DF 1px solid;
}

ul.nav.nav-tabs.nav-stacked > li {
	
}

ul.nav.nav-tabs.nav-stacked > li.active {
	border: none;
	background-color: #D3D3DF;
}

ul.nav.nav-tabs.nav-stacked > li.inactive {
	
}

ul.nav.nav-tabs.nav-stacked > li > a {
	background-color: transparent;
	border: none;
}

ul.nav.nav-tabs.nav-stacked > li.active > a {
	color: white;
}

ul.nav.nav-tabs.nav-stacked > li.inactive > a {
	
}

/** Barre de menu **/

#module-menu-bar {
	width: 100%;
    padding: 20px 14px 20px 14px;
    background-color: #1B1B57;
    border-bottom: 1px solid #ddd;
    position: relative;
    height: 60px;
}

#module-menu-bar span {
    color: white;
}

.home-button {
	float: left;
}

.module-title {
	font-size: 16px;
	position: absolute;
	text-align: center;
	width: 60%;
	margin-left: 20%;
	margin-right: 20%;
}

.module-version {
	top: 40px;
    font-size: 11px;
	position: absolute;
	text-align: center;
	width: 70%;
	margin-left: 15%;
	margin-right: 15%;
}

.header-logo {
    max-height: 50px;
    margin-top: -20px;
    margin-left: 20px;
}

.bar-buttons {
	position:absolute;
    padding-left: 14px;
    margin-top: -5px;
}

.logged-as-block {
	font-size: 17px;
	margin-right: 5px;
}

.logged-as-block .fa.fa-users {
	margin-right: 3px;
}


.disconnect-button {
	float: right;
	padding-right: 14px;
}

.disconnect-button button.btn {
	padding: 2px 6px;
	padding-right: 14px;
}

.bigger-size {
	font-size: 30px;
}

#fil-ariane {
	width: 100%;
}

#fil-ariane ul {
    list-style-type: none;
    display: inline;
	padding: 7px 0px 7px 10px;
    margin-bottom: 10px;
}

#fil-ariane ul > li {
    list-style-type: none;
    display: inline;
}

#fil-ariane li:before {
	content: " > ";
	margin-left: 5px
}

#fil-ariane li:first-child:before {
	content: none;
}


/** Fin barre de menu **/

label.control-label.title {
	border-bottom: 0.1rem solid white;
	display: inline-block;
	text-transform: uppercase;
	width:100%;
	margin-bottom: 15px;
	padding-bottom: 10px;
	color: #6A638F
}

.table-in-panel {
	background-color: #F1F1F1;
}

.table-in-panel thead tr th {
	background-color: #E8E8E8;
	color: #888BBA;
	text-transform: uppercase;
}

.panel-list {
	border-color: #ddd;
}

.panel-list > .panel-heading {
	background-color: #E8E8E8;
	color: #888BBA;
	border-color: #E8E8E8;
}

.panel-body-active {
	background-color: #D3D3DF;
}

.panel-body-inactive {
	background-color: #E8E8E8;
}

.panel-inactive > .panel-heading {
	color: #8A8AAE;
	background-color: #E8E8E8;
}

.panel-inactive > .panel-body {
	background-color: #F1F1F1;
}

.panel-active > .panel-heading {
	color: white;
	background-color: #8A8AAE;
} 

.panel-active > .panel-body {
	background-color: #D3D3DF;
}

.table-in-accordeon {
    margin: 0 !important;
}

uib-accordion.accordion-table-container .panel-body {
    padding: 0 !important;
}

.calendar + .dropdown-menu {
	width: 200px;
	font-size: 12px;
	float: right;
	padding-left: 1px;
    overflow:hidden;
}

.calendar + .dropdown-menu .btn {
	padding: 5px;
	padding-top: 2px;
	padding-bottom: 2px;
	font-size: 10.5px;
}

.datepicker table {
  margin: 0;
}

.calendar + .dropdown-menu table .btn {
	font-size: 12px;
	padding: 6px;
}

.btn.btn-primary.btn-large {
	border-radius: 25px 0 0 0;
	text-transform: uppercase;
	font-weight: bold;
    padding: 5px 20px;
}

.btn.btn-primary.btn-small {
	font-weight: bold;
    padding: 4px 8px;
}

.lg-btn-belt > .btn.btn-large:not(:last-child) {
	margin-right: 5px;
}

.text-bold {
	font-weight: bold;
}

.align-right {
	text-align: right;
}

.butonField{
	color: black;
    text-align: center;    
    background: #C5C6E2;
    border-color: #E0E1FF;
}

/** ManageEngagement **/
/* 03-UC02-US01-RA008 */
.forfait {
	color: red !important;
}
.compoChanged {
	color: blue;
}

/** ManageEngagement **/
/* 03-UC02-US02-RA018  */
.disabled {
	background-color: rgba(0, 0, 0, 0.1) !important;
}

@media (min-width: 768px) {
	#engage-disengage-btns {
		padding-top: 185px;
	}
}

.sortorder:after {
  content: '\25b2';
}

.sortorder.reverse:after {
  content: '\25bc';
}

.dropdown-menu {
	width:100%;
	max-height: 500px;
	overflow-y: scroll;
	border-radius: 0;
	border-top-width: 0;
	margin: 0;
	background-color: rgb(254, 255, 207);
}

.dropdown-menu > li {
	/** overflow: hidden; **/
	
}

.dropdown-menu > li > a {
	/** overflow: hidden; **/
}

/** smaller form-control with fixed width (based on original Bootstrap form-control CSS class **/
.sm-form-control {
    display: block;
    width: 100px;
    height: 34px;
    padding: 6px 12px;
    line-height: 1.42857143;
    color: #555;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 0px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
}

.not-last-discipline::after {
	content: " / ";
}

.not-last-region::after {
	content: ",";
}

.inline {
	display:inline;
}

.notification-list  .notif-resume-container {
	padding-top: 15px;
	padding-bottom: 15px
}

.notification-list  .notif-resume-container:not(:last-child) {
	border-bottom: 1px solid rgba(0, 0, 0, 0.33);
}

.notif-unread { /** notif non lue **/
	font-weight: bold;
}

.notif-resume-container p {
	margin: 0px !important;
}

.notif-status { 
	font-size: 11px;
}

uib-accordion .panel-heading h4 {
	cursor: pointer;
}

uib-accordion .panel-body {
	padding: 0px 15px;
}

.text-vertical-align {
    transform: translateY(50%);
    -webkit-transform: translateY(50%);
    -ms-transform: translateY(50%);
}

.notif-selected {
	border: 1px solid black !important;
}

/* Ajout pour la suppression des couleur pour
	les liens des boutons d'engagement 		*/
.engLinkBlack, .engLinkBlack:hover {
	color: #393333;
	text-decoration: none;
}
.engLinkGreen, .engLinkGreen:hover {
	color: #008800;
	text-decoration: none;
}
.engLinkRed, .engLinkRed:hover {
	color: #DD0000;
	text-decoration: none;
}
.engIcons{
	
}

/** Type de catégorie **/

.code-corps {
	margin-right: 25px;
}

.calcul-block > div {
	display: inline-block;
	width: 100%;
	padding-right: 0px;
}

.calcul-block input,
.calcul-block select {
	width : 100%;
}

/** loader **/
.loading-backdrop {
	margin: 0;
	padding: 0;
	position: fixed;
	width: 100%;
	height: 100%;
	background-color: rgba(0,0,0, 0.5);
	z-index: 999;
}

.loading-container {
	position: fixed;
	left: 50%;
	top: 50%;
	width: 300px;
	height: 150px;
	z-index:9999;
	background-color: rgba(194, 185, 230, 0.95);
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	color: #1B1B57;
    box-shadow: 5px 5px 10px rgba(0,0,0,0.5);
}

.loading {
	list-style: none;
	margin: 0;
	padding: 0;
	position: absolute;
	top: 50%;
	left: 50%;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
	font-size: 0;
}

.loading li {
	height: 0; 
	position: absolute;
	top: 50%;
	left: 0;
	margin: 0;
	height: 10px;
	width: 10px;
	border: 3px solid #1B1B57;
	border-radius: 100%;
	-webkit-transform: transformZ(0);
	transform: transformZ(0);
	-webkit-animation: LOADING 2s infinite;
	animation: LOADING 2s infinite;
}

.loading li:nth-child(1n) {
	left: -20px;
	-webkit-animation-delay: 0s;
	animation-delay: 0s;
}
.loading li:nth-child(2n) {
	left: 0;
	-webkit-animation-delay: 0.2s;
	animation-delay: 0.2s;
}
.loading li:nth-child(3n) {
	left: 20px;
	-webkit-animation-delay: 0.4s;
	animation-delay: 0.4s;
}

@-webkit-keyframes LOADING {
	0% {
		-webkit-transform: scale(0.5);
				transform: scale(0.5);
		background: #1B1B57;
	}
	50% {
		-webkit-transform: scale(1);
			transform: scale(1);
		background: white;
	}
	100% {
		-webkit-transform: scale(0.5);
				transform: scale(0.5);
		background: #1B1B57;
	}
}

@keyframes LOADING {
	0% {
		-webkit-transform: scale(0.5);
				transform: scale(0.5);
		background: #1B1B57;
	}
	50% {
		-webkit-transform: scale(1);
				transform: scale(1);
		background: white;
	}
	100% {
		-webkit-transform: scale(0.5);
				transform: scale(0.5);
		background: #1B1B57;
	}
}
/** end loader **/


/** modal windows **/

.align-center {
	text-align: center;
}

/* Page d'accueil */

.home-container {
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
}

.image-button {
	position: relative;
	padding: 10px;
	text-align: center;
}

.imageinside + .text {
	opacity: 0;
    position: relative;
    padding: 2px 0px;
    color: #ffffff;
    background: #000000;
    text-decoration: none;
    text-align: center;
    -webkit-transition: opacity 500ms;
    -moz-transition: opacity 500ms;
    -o-transition: opacity 500ms;
    transition: opacity 500ms;

    width: 240px;
    display: table-cell;
    vertical-align: middle;
    text-align: center;

    position:absolute;
    word-wrap: break-word;
	bottom: 45px;
	left: 10px;
}

.imageinside:hover + .text {
    opacity: 0.8;
}

/** ***************** END CSS MAISON ***************** **/

/** ***************** SURCOUCHE STYLISTIQUE BOOTSTRAP ***************** **/*

/** modal windows **/

.modal-dialog {
	min-width: 300px;
	max-width: 60%;
}

.modal-header {
	border-bottom: none;
	padding-bottom: 0;
	text-align: center;
}

.modal-body {
	text-align: center;
}

body {
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  	font-size: 12px;
}

.form-inline {
	margin-bottom: 15px;
}

div:not(.panel).form-inline div:not(:last-child) {
    margin-right: 10px;
}

label.control-label {
	margin-right: 5px;
}

div.control-label-container {
	top: 9px;
}

.control-checkbox-container {
	top: 4px;
}

.form-control, .sm-form-control {
	font-size: 12px;
	background-color: rgb(254, 255, 207) !important;
	padding-left: 5px;
	border-radius: 0px;
}

.form-control[disabled] {
	background-color: rgba(0, 0, 0, 0.1) !important;
}

@media (min-width: 768px) {
	.form-inline > div.form-group:not(:last-child){
		margin-right: 15px;
	};
}
table tbody{
	word-break:break-all;
}

.table thead tr th {
	background-color: #1B1B57;
	color: white;
}

.table tbody tr:nth-child(even):not(.selected) {
	background-color: #E8E8E8;
}

.table tbody tr:hover {
	background-color:white;
	color: orange;
}

.table tbody tr:hover td > .btn.btn-primary {
	background-color: #7A7CB9;
	color: white;
}

.table tbody tr.selected td > .btn.btn-primary {
	background-color: #E8E8E8;
	color: #1A1A56;
}

.table tbody tr:hover td > .btn.btn-primary:hover {
	background-color: #1A1A56;
	color: white;
}

.table tbody tr:hover > td {
	color: orange;
}

.table tbody tr > td {
	vertical-align: middle;
}

.correct-alignment {
	right: 2px;
	position: relative;
}

.equipeEnsembleTable thead tr th:first-child {
	width:70% !important;
}

.table tbody tr.selected {
	background-color: #7A7CB9;
	color: white;
/* 	background-color: pink !important; */
}

.panel-default {
	color: #1B1B57;
	border-radius: 0px;
}

.panel-default > .panel-heading {
	text-transform: uppercase;
	font-weight: bold;
	border-radius: 0px;
}

.btn {
	font-size: 12px;
}

.btn.btn-primary {
	background-color: #7A7CB9;
	border-color: #7A7CB9;
	color: white;
	border-radius: 0px;
}

.btn.btn-primary:hover {
	background-color: #3C3E6F;
	border-color: #3C3E6F;
}

input[type="checkbox"] {
	margin-left: 10px !important;
}

.input-group-addon {
	top: 0px;
}

.radio + .radio {
	margin: 10px 0px;
}
/** ***************** END SURCOUCHE STYLISTIQUE BOOTSTRAP ***************** **/

 ul.drag-n-drop-list {
 	height: 400px;
 	overflow-y: auto;
 	padding-bottom: 1px;
 	
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
 }

/* hide spinner for input type number */


input::-webkit-outer-spin-button, input::-webkit-inner-spin-button {
	-webkit-appearance: none; /* not supported in IE 9/10/11, supported in Edge */
}

.thumbnails .caption {
	margin-left: 250px;
}

.thumbnails  img {
	padding-top: 20px;
	width: 200px;
}

.control-group input, .control-group textarea {
	margin-left: 20px;
}

.control-group .help-block {
	margin-left: 180px;
}

.overlay {
	opacity: 0.5;
	background-color: #ffffff;
	position: fixed;
	width: 100%;
	height: 100%;
	top: 0px;
	left: 0px;
	z-index: 1000;
}

.img-modal {
	width: 70px;
	height: 70px;
}

.search-button {
	padding: 6px 12px;
    font-size: 14px;
    font-weight: normal;
    line-height: 1;
    color: #555;
    text-align: center;
    background-color: #eee;
    border: 1px solid #ccc;
    border-radius: 4px;
    cursor: pointer;
}

input.ng-invalid.ng-dirty {
	background-color: #F2DEDE;
	border-color: #EBCCD1;
}

/*input.ng-valid.ng-dirty {
	background-color: #DFF0D8;
	border-color: #D6E9C6;
}*/

/** ***************** CORRECTIONS CSS ***************** **/
/* Forcer la tooltip à être au premier plan */
button:not([disabled]) + .tooltip {
	display: none !important;
}

/** Bidouille pour corriger le problème de tooltip qui sort du flux **/

.tooltip {
	/*position: fixed;*/
}

ul.drag-n-drop-list li:first-child .tooltip {
	top: 65px !important;
	left: 256.640625px;
	display: block;
}

ul.drag-n-drop-list li:first-child .tooltip .tooltip-arrow {
	top: 0 !important;
	bottom: auto !important;
	border-width:0 5px 5px !important;
	border-bottom-color: #000 !important;
}

/* Label custom pour associer à un bouton */
.label-input-addon {
 	margin-top: 5px;
 	margin-right: 5px;
	padding-left: 5px;
}

.searchLicencieMenu {
    bottom: 8px;
    right: 25px;
    position: relative;
}

#checkboxQuota{
	position: relative;
	bottom: -5px;
	right: -7px;
}
.event-info {
	min-height: 162px;
	/* 175 ? */
}
.text-consulted {
  color: chocolate;
}
.ctn-divider{
	margin-left:20px;
	margin-right:20px;
}

.loadingCombobox{
	font-style: italic;
    color: grey;
}

/* Format des tables avec scrollbar */
.scrollTable tbody {
    display:block;
    word-wrap:break-word;
    height:520px;
    overflow-y:scroll;
}
.scrollTable thead, .scrollTable tbody tr {
    display:table;
    width:100%;
    table-layout:fixed;
}

.scrollTableLogAs tbody {
    display:block;
    word-wrap:break-word;
    max-height:520px;
    overflow-y:scroll;
}
.scrollTableLogAs thead, .scrollTableLogAs tbody tr {
    display:table;
    width:100%;
    table-layout:fixed;
}
.cl-xxs-1{
	width:5%;
	padding-right:0px !important;
	padding-left:0px !important;
}
.cl-xs-1{
	width:6%;
	padding-right:0px !important;
	padding-left:0px !important;
}
.cl-sm-1{
	width:8%;
}
.cl-sm-2{
	width:9%;
	padding-right: 5px !important;
}
.cl-sm-3{
	width:10%;
	padding-right:3px !important;
}
.cl-md-1{
	width:12%;
}
.cl-md-2{
	width:14%;
	padding-right: 4px !important;
	padding-left: 4px !important;
}
.cl-md-3{
	width:16%;
}
.cl-md-4{
	width:18%;
}
.cl-lg-1{
	width:22%;
}
.cl-lg-2{
	width:26%;
}
.cl-lg-3{
	width:30%;
}
.cl-lg-4{
	width:48%;
}
.cl-bt-2{
	width:12%;
}
.cl-bt-4{
	width:19%;
}
.cl-scroll{
	width:1.45em;
}

/* Custom file upload */
.hiddenInputfile {
	width: 0.1px;
	height: 0.1px;
	opacity: 0;
	overflow: hidden;
	position: absolute;
	z-index: -1;
}



/*music player*/

.play-button{
   margin-right: 2%;
   background-color: transparent; /* make the button transparent */
   background-repeat: no-repeat;  /* make the background image appear only once */
   background-position: 0px 0px;  /* equivalent to 'top left' */
   border: none;           /* assuming we don't want any borders */
   cursor:pointer;
   border:none;
   width:19px;
   height:19px;
   display:inline-block;
   font-size: 25px;
}

.stop-button{
   margin-right: 8%;
   background-color: transparent; /* make the button transparent */
   background-repeat: no-repeat;  /* make the background image appear only once */
   background-position: 0px 0px;  /* equivalent to 'top left' */
   border: none;           /* assuming we don't want any borders */
   cursor:pointer;
   border:none;
   width:19px;
   height:19px;
   display:inline-block;
   font-size: 25px;
}



input[type=range] {
  display:inline-block; 
  -webkit-appearance: none;
  width: 55%;
  background:transparent;
}

input[type=range].player-detail {
  display:inline-block; 
  -webkit-appearance: none;
  width: 99%;
  background:transparent;
}

input[type=range]:focus {
  outline: none;
}
input[type=range]::-webkit-slider-runnable-track {
  width: 100%;
  height: 19px;
  cursor: pointer;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  background: rgba(0, 0, 0, 0);
  border-radius: 3px;
  border: 1.3px solid #010101;
}
input[type=range]::-webkit-slider-thumb {
  box-shadow: 0.9px 0.9px 1px #000000, 0px 0px 0.9px #0d0d0d;
  border: 0px solid #000000;
  height: 18px;
  width: 16px;
  border-radius: 2px;
  background: #000000;
  cursor: pointer;
  -webkit-appearance: none;
  margin-top: -0.8px;
}
input[type=range]:focus::-webkit-slider-runnable-track {
	
  background: rgba(13, 13, 13, 0);
}
input[type=range]::-moz-range-track {

  width: 100%;
  height: 19px;
  cursor: pointer;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
  background: rgba(0, 0, 0, 0);
  border-radius: 3px;
  border: 1.3px solid #010101;
}

input[type=range]::-moz-range-thumb {
  box-shadow: 0.9px 0.9px 1px #000000, 0px 0px 0.9px #0d0d0d;
  border: 0px solid #000000;
  height: 19px;
  width: 8px;
  border-radius: 2px;
  background: #000000;
  cursor: pointer;
}
input[type=range]::-ms-track {
  width: 99%;
  height: 19px;
  cursor: pointer;
  background: transparent;
  border-color: transparent;
  color: transparent;
}

input[type=range]::-ms-tooltip  {
	display:none;
}

input[type=range]::-ms-fill-lower {
  cursor: pointer;
  background: rgba(0, 0, 0, 0);
  border: 1.3px solid #010101;
  border-radius: 3px;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
}
input[type=range]::-ms-fill-upper {
  cursor: pointer;
  background: rgba(0, 0, 0, 0);
  border: 1.3px solid #010101;
  border-radius: 3px;
  box-shadow: 1px 1px 1px #000000, 0px 0px 1px #0d0d0d;
}
input[type=range]::-ms-thumb {
  box-shadow: 0.9px 0.9px 1px #000000, 0px 0px 0.9px #0d0d0d;
  border: 0px solid #000000;
  width: 8px;
  border-radius: 2px;
  background: #000000;
  cursor: pointer;
  height: 18px;
}
input[type=range]:focus::-ms-fill-lower {
  background: rgba(0, 0, 0, 0);
}
input[type=range]:focus::-ms-fill-upper {
  background: rgba(13, 13, 13, 0);
}

td.player{
	/*display:inline;*/
	vertical-align:middle;
	border:none!important;
}

td.player, .table tbody tr:hover > td.player {
	color: black;
}

@media all and (-ms-high-contrast:none)
{
   .play-button , .stop-button  {height:19px;}
   .play-button .glyphicon, .stop-button .glyphicon {top:-7.5px;}
  
}


.player-glyph{
	font-size:24px;
}

.playerInfo  {
	text-align:left;
	margin-left:10%;
	margin-bottom: 100px;
}

.playerTable  {
	text-align:left;
	margin-left:10%;
}

.player-datemaj{
    display: inline-block;
    vertical-align: top;
}

.table-transparent {
	border:none;
	background-color: transparent!important;
}

.table-transparent tr ,.table-transparent tr td  {
	padding: 5px;
	background-color: transparent!important;
}

.table-transparent tr td label {
	margin-bottom:10px;
}

.table-transparent tr td label.radioButtonLabel {
	margin-top:6px;
}

label.fichierLabel{
	margin-top:7px;important;
	
}

input[type=range].no-thumb::-webkit-slider-thumb{
	display:none;
}

button:focus, button:active, button.active, button:focus:active {
  background-image: none;
  outline: none;
  -webkit-box-shadow: none;
  box-shadow: none;
  outline: none;
}

